%define	version		3.2p3
%define	release		5mdk
%define	lib_major	2
%define	lib_name	%mklibname %{name} %{lib_major}
%define	lib_name_dev	%{lib_name}-devel

Summary:	Bundled Utilities for configuring ISDN4Linux
Name:		isdn4k-utils
Version:	%{version}
Release:	%{release}
License:	GPL
Epoch:		1
Group:		System/Configuration/Networking
Source0:	%{name}.v%{version}.tar.bz2
SOurce1:	%{name}-config.bz2
Patch1:		%{name}.ipppd.patch.bz2
Patch2:		%{name}-no-root.patch.bz2
#Patch5:	%{name}-misc.patch.bz2
#Patch6:	%{name}-vbox.patch.bz2
Patch7:		%{name}-nomknod.patch.bz2
#Patch8:	%{name}-isdnrep.patch.bz2
Patch9:		%{name}-glibc222.patch.bz2
Patch10:	%{name}-isdnlog.patch.bz2
Patch11:	%{name}-define.patch.bz2
#Patch12:	%{name}-chmod.patch.bz2
#Patch13:	%{name}-utils-3.1pre1-ipppd.patch.bz2
Patch14:	%{name}-pppdcapiplugin-ppp-2.4.1.patch.bz2
Patch15:	%{name}-eurofile-init-fix.patch.bz2
URL:		http://www.isdn4linux.de
Requires:	kernel >= 2.2.0
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	libgdbm-devel libxpm-devel libncurses-devel tcl kernel-source XFree86-devel automake = 1.4

%description
isdn4k-utils is a collection of various ISDN related utilities. This
package contains configuration tools for all ISDN adapters, supported
by Linux. Furthermore, several status-monitors are provided as well as
some ISDN-based applications. Namely ipppd, a PPP daemon for synchronous
PPP over ISDN; vbox, an answering-machine and (for use with AVM-B1 only)
capifax, a faxmachine.

%package	xtools
Summary:	ISDN utilities that use X
Group:		Networking/Other
Requires:	%{name} = %{version}

%description	xtools
These are the graphical utilities for ISDN, xmonisdn and xisdnload.
They provide, each in their own way, a visual indication of the status
of the ISDN lines, so that it is directly obvious when there is a
connection, for example. 

%package	vbox
Summary:	ISDN answering machine
Group:		Communications
Requires:	%{name} = %{version}

%description	vbox
ISDN Answering Machine

%package	eurofile
Summary:	ISDN eurofile transfer tool
Group:		Networking/File transfer
License:	LGPL
Requires:	%{name} = %{version}

%description	eurofile
If you want to send / receive files over an ISDN line with the eurofile system,
you need this package.

%package	-n %{lib_name}
Summary:	Main library for %{name}
Group:		System/Libraries
Requires:	%{name} = %{version}

%package	isdnlog
Summary:	ISDN connection logger
Group:		Communications
Requires:	%{name} = %{version}

%description	isdnlog
isdnlog logs all ISDN connections, and can calculate the cost of calls.
If sufficient data is available, it can even recommend which alternate
carrier would have been cheaper for a given call. For countries where calls
are charged per discrete unit, it can disconnect the line just before the
next unit starts. 

%description -n %{lib_name}
isdn4k-utils is a collection of various ISDN related utilities. This
package contains configuration tools for all ISDN adapters, supported
by Linux. Furthermore, several status-monitors are provided as well as
some ISDN-based applications. Namely ipppd, a PPP daemon for synchronous
PPP over ISDN; vbox, an answering-machine and (for use with AVM-B1 only)
capifax, a faxmachine.
This package contains the library needed to run programs dynamically
linked with %{name}.

%package	-n %{lib_name_dev}
Summary:	Includes and other files to develop %{name} applications.
Group:		Development/C
Requires:	%{lib_name} = %{version}
Provides:	lib%{name}-devel %{name}-devel

%description -n %{lib_name_dev}
Libraries, include files and other resources you can use to develop
%{name} applications.

%prep
%setup -q -n %{name}
%patch1 -p1 -b .old
%patch2 -p1 -b .old
#%patch5 -p1 -b .old
#%patch6 -p1 -b .old
%patch7 -p1 -b .old
#%patch8 -p1 -b .old
%patch9 -p1 -b .old
%patch10 -p0 -b .old
%patch11 -p1 -b .old
#%patch12 -p0 -b .old
#%patch13 -p1 -b .old
%patch14 -p0 -b .old
%patch15 -p0 -b .old
#(peroyvind) provide our own config file with correct options and paths
bzcat %{SOURCE1} > .config

# AMD K6 is not an i686
%ifarch
perl -pi -e "s/k6 \| //" vbox3/config.sub
perl -pi -e "s/k6-\* \| //" vbox3/config.sub
perl -pi -e "s/\| k5 \|/\| k5 \| k6 \|/" vbox3/config.sub
perl -pi -e "s/\| k5-\* \|/\| k5-\* \| k6-* \|/" vbox3/config.sub
%endif

%build
(cd capi20 && libtoolize --copy --force)
perl -pi -e "s|CONFIG_FAQDIR=.*|CONFIG_FAQDIR=\'%{_docdir}/%{name}-%{version}\'|" .config
#(peroyvind) added more flags for pppdcapiplugin since we're overriding it's CFLAGS which cointains flags needed
RPM_OPT_FLAGS="$RPM_OPT_FLAGS -DISDN_MAX_DRIVERS=32 -DISDN_MAX_CHANNELS=64 -fPIC -DPPPVER=2040102 -I. -I`pwd`/capi20 -Ipppd -L`pwd`/capi20 -I./include"

#(peroyvind) workaround for wrong aclocal
make CFLAGS="$RPM_OPT_FLAGS" CXXFLAGS="$RPM_OPT_FLAGS" CCFLAGS="$RPM_OPT_FLAGS" subconfig ACLOCAL=aclocal-1.4 AUTOMAKE=automake-1.4
perl -pi -e "s|CDEBUGFLAGS = .*|CDEBUGFLAGS = $RPM_OPT_FLAGS|" xisdnload/Makefile xmonisdn/Makefile
perl -pi -e "s|CXXDEBUGFLAGS = \-0.*|CXXDEBUGFLAGS = $RPM_OPT_FLAGS|" xisdnload/Makefile xmonisdn/Makefile
cp isdnlog/isdnlog/isdnlog.5.in isdnlog/isdnlog/isdnlog.5
#(peroyvind) workaround for non-existing rcapid/acinclude.m4
touch rcapid/acinclude.m4
#(peroyvind) added CCFLAGS since it's a variable used a few places in stead of CCFLAGS (*sigh*)
make CFLAGS="$RPM_OPT_FLAGS" CXXFLAGS="$RPM_OPT_FLAGS" CCFLAGS="$RPM_OPT_FLAGS" || make CFLAGS="$RPM_OPT_FLAGS" CXXFLAGS="$RPM_OPT_FLAGS" CCFLAGS="$RPM_OPT_FLAGS"

%install
rm -rf $RPM_BUILD_ROOT
RPM_OPT_FLAGS="$RPM_OPT_FLAGS -DISDN_MAX_DRIVERS=32 -DISDN_MAX_CHANNELS=64 -fPIC -DPPPVER=2040102 -I. -I`pwd`/capi20 -Ipppd -L`pwd`/capi20 -I./include"
mkdir -p $RPM_BUILD_ROOT{%{_sbindir},%{_bindir},%{_includedir},%{_mandir},%{_docdir},/sbin,%{_initrddir}}
#(peroyvind) yet another workaround.. this time for providing compile flags for stuff that was'nt compiled last time..
%makeinstall_std CFLAGS="$RPM_OPT_FLAGS" CXXFLAGS="$RPM_OPT_FLAGS" CCFLAGS="$RPM_OPT_FLAGS"
rm -f $RPM_BUILD_ROOT%{_bindir}/vboxbeep # security hole if used. (dam's)
rm -f $RPM_BUILD_ROOT%{_mandir}/man*/vboxbeep*
#(peroyvind) fix incorrect filename for man page
mv $RPM_BUILD_ROOT%{_mandir}/man8/.isdnctrl_conf.8 $RPM_BUILD_ROOT%{_mandir}/man8/isdnctrl_conf.8
#(peroyvind) move this one out of buildroot, we want to have it somewhere else..
rm -rf vbox/docs; mv $RPM_BUILD_ROOT%{_docdir}/vbox vbox/docs
#(peroyvind) fix name for init script
mv $RPM_BUILD_ROOT%{_initrddir}/eftd.sh $RPM_BUILD_ROOT%{_initrddir}/eftd
#(peroyvind) install man pages for eurofile
install -m644 eurofile/doc/*.5 $RPM_BUILD_ROOT%{_mandir}/man5/

%clean
rm -rf $RPM_BUILD_ROOT

%post -n %{lib_name} -p /sbin/ldconfig
%postun -n %{lib_name} -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%dir %{_datadir}/isdn
%{_datadir}/isdn/*
%dir %{_sysconfdir}/isdn
%dir %{_sysconfdir}/drdsl
%config(noreplace) %{_sysconfdir}/drdsl/adsl.conf
%config(noreplace) %{_sysconfdir}/ppp/peers/isdn/arcor
%config(noreplace) %{_sysconfdir}/ppp/peers/isdn/avm
%config(noreplace) %{_sysconfdir}/ppp/peers/isdn/avm-ml
%config(noreplace) %{_sysconfdir}/ppp/peers/isdn/leased
%config(noreplace) %{_sysconfdir}/ppp/peers/isdn/otelo
%config(noreplace) %{_sysconfdir}/ppp/peers/isdn/talkline
%config(noreplace) %{_sysconfdir}/isdn/isdn.conf
%config(noreplace) %{_sysconfdir}/isdn/callerid.conf
%config(noreplace) %{_sysconfdir}/isdn/rate.conf
#%config(noreplace) %{_sysconfdir}/ppp/ioptions
%{_mandir}/man4/*
%{_mandir}/man7/isdn_cause.7*
%{_mandir}/man8/avmcapictrl.8*
%{_mandir}/man*/capi*
%{_mandir}/man8/icnctrl.8*
%{_mandir}/man8/imon.8*
%{_mandir}/man8/imontty.8*
%{_mandir}/man8/ipppd.8*
%{_mandir}/man8/ipppstats.8*
%{_mandir}/man8/iprofd.8*
%{_mandir}/man8/isdnctrl.8*
%{_mandir}/man8/isdnctrl_conf.8*
%{_mandir}/man8/loopctrl.8*
%{_mandir}/man8/pcbitctl.8*
%{_mandir}/man8/eiconctrl.8*
%{_mandir}/man8/hisaxctrl.8*
%{_mandir}/man8/divertctrl.8*
%{_mandir}/man8/actctrl.8*
%defattr(755,root,root,755)
%{_sbindir}/avmcapictrl
%{_sbindir}/capiinit
%{_sbindir}/hisaxctrl
%{_sbindir}/icnctrl
%{_sbindir}/imon
%{_sbindir}/imontty
%{_sbindir}/ipppd
%{_sbindir}/ipppstats
%{_sbindir}/iprofd
%{_sbindir}/isdnctrl
%{_sbindir}/loopctrl
%{_sbindir}/pcbitctl
%{_sbindir}/rcapid
%{_sbindir}/actctrl
%{_sbindir}/diva*
%{_sbindir}/eiconctrl
%{_sbindir}/divertctrl
%{_bindir}/capi*

%files xtools
%defattr(644,root,root,755)
%doc xmonisdn/README
%{_prefix}/X11R6/man/man*/*
%{_prefix}/X11R6/include/X11/bitmaps/net*
%{_prefix}/X11R6/lib/X11/app-defaults/*
%{_mandir}/man*/x*
%config(noreplace) %{_sysconfdir}/X11/app-defaults/XISDNLoad
%defattr(755,root,root,755)
%{_bindir}/x*

%files vbox
%defattr(644,root,root,755)
%lang(de) %doc vbox/docs/*
%doc vbox/examples vbox/README vbox/CHANGES
%{_mandir}/*/*vbox*
%dir /var/spool/vbox
%dir /var/log/vbox
%config(noreplace) %{_sysconfdir}/isdn/vboxgetty.conf
%config(noreplace) %{_sysconfdir}/isdn/vboxd.conf
%defattr(755,root,root,755)
%{_bindir}/*vbox*
%{_sbindir}/vbox*

%files eurofile
%defattr(644,root,root,755)
%doc eurofile/doc/[!R]*[!5] eurofile/COPYING* eurofile/CHANGES eurofile/README* eurofile/TODO
%{_mandir}/man5/eft*.5*
%config(noreplace) %{_sysconfdir}/isdn/eft.conf
%defattr(755,root,root,755)
%config(noreplace) %{_initrddir}/eftd
%{_sbindir}/eftd
%{_bindir}/eftp

%files isdnlog
%defattr(644,root,root,755)
%doc isdnlog/BUGS isdnlog/README.* isdnlog/CREDITS isdnlog/FAQ isdnlog/NEWS isdnlog/TODO
%config(noreplace) %{_sysconfdir}/isdn/isdnlog.*
%{_mandir}/man1/isdn*
%{_mandir}/man5/isdnlog*.5*
%{_mandir}/man5/isdn.conf.5*
%{_mandir}/man5/callerid.conf.5*
%{_mandir}/man5/isdnformat.5*
%{_mandir}/man5/rate-files.5*
%{_mandir}/man8/isdnlog.8*
%defattr(755,root,root,755)
%{_sbindir}/isdnlog
%{_sbindir}/mkzonedb
%{_bindir}/isdn*
%config(noreplace) %{_sysconfdir}/isdn/stop

%files -n %{lib_name}
%defattr(644,root,root,755)
%doc COPYING README NEWS
%defattr(755,root,root,755)
%{_libdir}/libcapi*.la
%{_libdir}/libcapi*.so.*
%{_libdir}/pppd/2.4.1/*

%files -n %{lib_name_dev}
%defattr(644,root,root,755)
%{_libdir}/libcapi*.a
%attr(755,root,root) %{_libdir}/libcapi*.so
%{_includedir}/capi*.h

%changelog
* Mon Aug 18 2003 Per yvind Karlsen <peroyvind@linux-mandrake.com> 3.2p3-5mdk
- enable ippp filter in config (Steffen Barszus)
- use %%makeinstall_std
- force use of automake-1.4, won't build with newer automake:\

* Fri Jul 25 2003 Per yvind Karlsen <peroyvind@sintrax.net> 3.2p3-4mdk
- rebuild
- don't use %%mklibname for devel packages, screws up for some reason..

* Wed Jul 09 2003 Per yvind Karlsen <peroyvind@sintrax.net> 3.2p3-3mdk
- rebuild

* Fri May 02 2003 Per yvind Karlsen <peroyvind@sintrax.net> 3.2p3-2mdk
- use %%mklibname for devel package
- fix permissions for %{lib_name}'s docs
- extract Source1 in %%prep stage
- more correct way to fix FAQDIR

* Mon Apr 28 2003 Per yvind Karlsen <peroyvind@sintrax.net> 3.2p3-1mdk
- 3.2p3 (from cvs)
- use %%mklibname macro
- rebuild against tcl8.4
- dropped Patch5, Patch6, Patch8 & Patch13 (merged upstream)
- regenerateed Patch2(changed name too), Patch10 & Patch12
- drop Patch12, it's much better to override the permissions with rpm than
  hazzling with patches to makefile which is hard to maintain, also change
  permissions on some of the files(eg. what's 754 or 740 good for?, let's
  use the same permissions for all the files)
- fix summary (did'nt make much sense)
- removed redundant buildrequires
- moved fix for invalid arch to the more appropriate %prep stage
- fix incorrect filename of isdnctrl_conf man page
- added own config file(Source1) to fix paths to mandir and docdir have
  to do a workaround in %%install stage (should fix #634), also activates 
  divertctrl (fixes #1594) and pppdcapiplugin (fixes #1595)
- only compile pppdcapiplugin for ppp-2.4.1 (Patch14) to avoid errors and
  unnecessary time spent on compiling
- cleanups!!!!!!!!!!!!
- split utils into new packages: vbox, xtools, isdnlog & eurofile
- added examples to vbox's docs (fixes #636)
- added support for esendfile
- move stuff from /sbin to %{_sbindir}
- move stuff from %{_libdir}/isdn to %{_datadir}/isdn since it's data-files,
  and no arch-dependant binaries
- a whole bunch of suggestions, fixes etc. thx to Steffen Barszus <st_barszus@gmx.de>

* Thu Sep 12 2002 Vincent Danen <vdanen@mandrakesoft.com> 3.1-1.pre1.10mdk
- P13: security fix for ipppd (only vulnerable when ipppd is suid)

* Wed Aug 22 2001 dam's <damien@mandrakesoft.com> 3.1-1.pre1.9mdk
- corrected installation modes patch 12 (isdn4k-utils-chmod)

* Mon Aug 13 2001 dam's <damien@mandrakesoft.com> 3.1-0.pre1.9mdk
- changed version/release.

* Sun Jun 10 2001 Stefan van der Eijk <stefan@eijk.nu> 3.1pre1-8mdk
- BuildRequires: XFree86-devel

* Fri Jun 01 2001 Stefan van der Eijk <stefan@eijk.nu> 3.1pre1-7mdk
- BuildRequires: kernel-source

* Thu May 31 2001 dam's <damien@mandrakesoft.com> 3.1pre1-6mdk
- removed ioptions from the file list.
- corrected the patch 11 (define) from snailtalk to fit with new headers
- patch 11 (define) description: define ripped shamelessly from the value in isdn.h in kernel 2.4.4.
- added RPM_OPT_FLAGS="$RPM_OPT_FLAGS -DISDN_MAX_DRIVERS=32 -DISDN_MAX_CHANNELS=64"

* Sat May 26 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 3.1pre1-5mdk
- Humm the new kernel seems to define ISDN_MAX_CHANNELS within
  #define __KERNEL__ so we explicitly define it here via a patch.
- libtoolize --copy --force before build to make it build with libtool 1.4.

* Mon Apr 30 2001 dam's <damien@mandrakesoft.com> 3.1pre1-4mdk
- added isdnlog patch.

* Tue Mar 27 2001 Jeff Garzik <jgarzik@mandrakesoft.com> 3.1pre1-3mdk
- Fix build on glibc 2.2.2

* Thu Jan 11 2001 dam's <damien@mandrakesoft.com> 3.1pre1-2mdk
- removed setgid-binary on xmonisdn
- removed vboxbeep. If setuid, it's a security hole. Without, unuseable.
from Alexander Skwar <ASkwar@Linux-Mandrake.com> :
- Added missing buildrequires
- Added requirement for libisdn4k-utils2
- Some people like to have binaries...  Added all the missing files

* Mon Dec  4 2000 dam's <damien@mandrakesoft.com> 3.1pre1-1mdk
- new lib policy
- removed patch4 (isdn4k-utils.ipppd), it has been incorporated in sources
- removed patch3 (isdn4k-utils-3.1beta7-newisdninclude), it has been incorporated in sources
- version 3.1pre1
- corrected compilation errors : patch 8 (isdn4k-utils-isdnrep)
- corrected macros

* Fri Sep  1 2000 dam's <damien@mandrakesoft.com> 3.1b7-13mdk
- added noreplace.

* Sun Aug 27 2000 dam's <damien@mandrakesoft.com> 3.1b7-12mdk
- Corrected patch 6 (vbox).
- not creating nodes anymore.

* Sat Aug 26 2000 dam's <damien@mandrakesoft.com> 3.1b7-11mdk
- added patch 7 (nomknod) to mknod at postinstall

* Sat Aug 26 2000 dam's <damien@mandrakesoft.com> 3.1b7-10mdk
- Added patch 6 to correct vbox configure. Bad hack.
- Applying patch 2 again.

* Tue Jul 25 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 3.1b7-9mdk
- Remove dev entry moved to dev package.
- Add defaultroute feature.


* Wed Jul 19 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 3.1b7-7mdk
- remove duplicated /dev entries (old bug)
- use new macros
- BM (aka titi&&warly&&chmoul vs the whole world)

* Mon Jun 19 2000 dam's <damien@mandrakesoft.com> 3.1b7-6mdk
- root rebuild to make it work.

* Thu May 25 2000 David BAUDENS <baudens@mandrakesoft.com> 3.1b7-4mdk
- Fix build for i486 & K6
- spec-helper
- Really use RPM_OPT_FLAGS
- Relocate doc in the right directory

* Wed May 24 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 3.1b7-3mdk
- Clean up specs.
- Fix compilation with last kernel.

* Fri Mar 31 2000 dam's <damien@mandrakesoft.com> 3.1b7-2mdk
- Removed rootperm use (make.patch). 

* Sat Feb 05 2000 Jesse Kuang <kjx@linux-mandrake.com>
- fixes libcapi20.so missing

* Sat Jan 29 2000 Jesse Kuang <kjx@linux-mandrake.com>
- update to 3.1beta7

* Thu Nov 11 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Fix includes.
- Build release.

* Sun Aug 19 1999 Jesse Kuang <kjx@linux.org.cn>
- 3.0 doesn't work with 2.2.12/13, using CVS snapshot
- fix ipppX route when hangup, need /etc/ppp/ioptions

* Tue Aug 17 1999 Bernhard Rosenkrnzer <bero@mandrakesoft.com>
- fix security leak (xmonisdn needs setgid, not setuid)

* Tue May 18 1999 Bernhard Rosenkrnzer <bero@mandrakesoft.com>
- chown -R root.root *

* Mon May 17 1999 Bernhard Rosenkrnzer <bero@mandrakesoft.com>
- rebuild with new kernel

* Mon May 10 1999 Bernhard Rosenkrnzer <bero@mandrakesoft.com>
- initial Mandrake SRPM
